--------------------------------------------------------------
-- Puissance 4 / Connect4
--
-- Pascal MIETLICKI
-- INSA, Departement Genie Informatique
--
-- mailto:p.mietlicki@gmail.com
--
-- This is free software; you can redistribute it and/or 
-- modify without restriction. This software is under LGPL licence
--
-- This software is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
-- 
-- package for the name box
--------------------------------------------------------------

with Noms_Pkg.Callbacks; use Noms_Pkg.Callbacks;

package body Noms_Pkg is

procedure Gtk_New (Noms : out Noms_Access) is
begin
   Noms := new Noms_Record;
   Noms_Pkg.Initialize (Noms);
end Gtk_New;

procedure Initialize (Noms : access Noms_Record'Class) is
   pragma Suppress (All_Checks);
   Pixmaps_Dir : constant String := "../pixmaps/";
begin
   Gtk.Dialog.Initialize (Noms);
   Set_Title (Noms, -"Changement des Noms");
   Set_Position (Noms, Win_Pos_Center);
   Set_Modal (Noms, False);
   Set_Resizable (Noms, False);



   Gtk_New_From_Stock (Noms.Cancel, "gtk-cancel");
   Set_Relief (Noms.Cancel, Relief_Normal);

   Set_Flags (Noms.Cancel, Can_Default);
   Button_Callback.Connect
     (Noms.Cancel, "clicked",
      Button_Callback.To_Marshaller (On_Cancel_Clicked'Access), False);
   Pack_Start (Get_Action_Area (Noms), Noms.Cancel);
   Gtk_New_From_Stock (Noms.Ok, "gtk-ok");
   Set_Relief (Noms.Ok, Relief_Normal);

   Set_Flags (Noms.Ok, Can_Default);
   Button_Callback.Connect
     (Noms.Ok, "clicked",
      Button_Callback.To_Marshaller (On_Ok_Clicked'Access), False);
   Pack_Start (Get_Action_Area (Noms), Noms.Ok);
   Gtk_New (Noms.Table1, 2, 2, False);
   Set_Border_Width (Noms.Table1, 6);
   Set_Row_Spacings (Noms.Table1, 10);
   Set_Col_Spacings (Noms.Table1, 10);

   Gtk_New (Noms.Label1, -("Joueur 1"));
   Set_Alignment (Noms.Label1, 0.0, 0.5);
   Set_Padding (Noms.Label1, 0, 0);
   Set_Justify (Noms.Label1, Justify_Left);
   Set_Line_Wrap (Noms.Label1, False);
   Set_Selectable (Noms.Label1, False);
   Set_Use_Markup (Noms.Label1, False);
   Set_Use_Underline (Noms.Label1, False);

   Attach
     (Noms.Table1,
       Noms.Label1,      Left_Attach  => 0,
      Right_Attach  => 1,
      Top_Attach  => 0,
      Bottom_Attach  => 1,
      Xoptions  => Fill,
      Xpadding  => 0,
      Ypadding  => 0);
   Gtk_New (Noms.Label2, -("Joueur 2"));
   Set_Alignment (Noms.Label2, 0.0, 0.5);
   Set_Padding (Noms.Label2, 0, 0);
   Set_Justify (Noms.Label2, Justify_Left);
   Set_Line_Wrap (Noms.Label2, False);
   Set_Selectable (Noms.Label2, False);
   Set_Use_Markup (Noms.Label2, False);
   Set_Use_Underline (Noms.Label2, False);

   Attach
     (Noms.Table1,
       Noms.Label2,      Left_Attach  => 0,
      Right_Attach  => 1,
      Top_Attach  => 1,
      Bottom_Attach  => 2,
      Xoptions  => Fill,
      Xpadding  => 0,
      Ypadding  => 0);
   Gtk_New (Noms.Nom1);
   Set_Editable (Noms.Nom1, True);
   Set_Max_Length (Noms.Nom1, 0);
   Set_Width_Chars (Noms.Nom1, 30);
   Set_Text (Noms.Nom1, -(""));
   Set_Visibility (Noms.Nom1, True);
   Set_Invisible_Char (Noms.Nom1, UTF8_Get_Char ("*"));

   Attach
     (Noms.Table1,
       Noms.Nom1,      Left_Attach  => 1,
      Right_Attach  => 2,
      Top_Attach  => 0,
      Bottom_Attach  => 1,
      Xpadding  => 0,
      Ypadding  => 0);
   Gtk_New (Noms.Nom2);
   Set_Editable (Noms.Nom2, True);
   Set_Max_Length (Noms.Nom2, 0);
   Set_Width_Chars (Noms.Nom2, 30);
   Set_Text (Noms.Nom2, -(""));
   Set_Visibility (Noms.Nom2, True);
   Set_Invisible_Char (Noms.Nom2, UTF8_Get_Char ("*"));

   Attach
     (Noms.Table1,
       Noms.Nom2,      Left_Attach  => 1,
      Right_Attach  => 2,
      Top_Attach  => 1,
      Bottom_Attach  => 2,
      Xpadding  => 0,
      Ypadding  => 0);
   Pack_Start
     (Get_Vbox (Noms),
      Noms.Table1,
      Expand  => True,
      Fill    => True,
      Padding => 0);
end Initialize;

end Noms_Pkg;
